# Uses of Enum Class
org.jfree.chart3d.marker.CategoryMarkerType

Packages that use CategoryMarkerType
Package
Description
org.jfree.chart3d.marker
Provides value and range marker support for the axes on category and XYZ plots.

## Uses of CategoryMarkerType in org.jfree.chart3d.marker

Methods in org.jfree.chart3d.marker that return CategoryMarkerType
Modifier and Type
Method
Description
`CategoryMarkerType`
CategoryMarker.`getType()`
Returns the marker type which determines whether the marker is drawn as a band (the default) or a line.
`static CategoryMarkerType`
CategoryMarkerType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CategoryMarkerType[]`
CategoryMarkerType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.jfree.chart3d.marker with parameters of type CategoryMarkerType
Modifier and Type
Method
Description
`void`
CategoryMarker.`setType(CategoryMarkerType type)`
Sets the marker type and sends a change event to all registered listeners.